//
// Maps a large JSON file containing 100 objects.
//

import UIKit
import XCTest
import JsonSwiftson

class mapPeopleTests: XCTestCase {
  func testMapPeople() {
    let json = TestJsonLoader().read("people.json")

    let people = PeopleParser.parse(json)

    XCTAssertEqual(100, people.count)

    let person = people[31]

    XCTAssertEqual(32, person.id)
    XCTAssertEqual("Brittany Hess", person.name)
    XCTAssertEqual(37, person.age)
    XCTAssertEqual(-32.59256, person.latitude)
    XCTAssertEqual(155.709014, person.longitude)
    XCTAssertEqual(["quis", "elit", "aute", "nostrud", "id", "voluptate"], person.tags)

    XCTAssertEqual(2, person.friends.count)
    let friend = person.friends[1]
    XCTAssertEqual(2, friend.id)
    XCTAssertEqual("Amparo Herman", friend.name)
  }
}
